BaseResourceCollectionWrapper (Apache Ant API)
Date: 2013-12-23

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.types.resources
Class BaseResourceCollectionWrapper

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.types.DataType
              org.apache.tools.ant.types.resources.AbstractResourceCollectionWrapper
                  org.apache.tools.ant.types.resources.BaseResourceCollectionWrapper

All Implemented Interfaces:
  java.lang.Cloneable, java.lang.Iterable<Resource>, ResourceCollection

Direct Known Subclasses:
  SizeLimitCollection, Sort, Tokens

    public abstract class BaseResourceCollectionWrapper

extends AbstractResourceCollectionWrapper

Base class for a ResourceCollection that wraps a single nested ResourceCollection.

Since:
  Ant 1.7

Field Summary

Fields inherited from class org.apache.tools.ant.types.DataType
`checked, ref`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`BaseResourceCollectionWrapper()`

Method Summary
`protected java.util.Iterator<Resource>` | `createIterator()` Do create an iterator on the resource collection.
`protected abstract java.util.Collection<Resource>` | `getCollection()` Template method for subclasses to return a Collection of Resources.
`protected int` | `getSize()` Do compute the size of the resource collection.

Methods inherited from class org.apache.tools.ant.types.resources.AbstractResourceCollectionWrapper
`add, dieOnCircularReference, getResourceCollection, isCache, isFilesystemOnly, iterator, setCache, size, toString`

Methods inherited from class org.apache.tools.ant.types.DataType
`checkAttributesAllowed, checkChildrenAllowed, circularReference, clone, dieOnCircularReference, dieOnCircularReference, getCheckedRef, getCheckedRef, getCheckedRef, getCheckedRef, getDataTypeName, getRefid, invokeCircularReferenceCheck, isChecked, isReference, noChildrenAllowed, pushAndInvokeCircularReferenceCheck, setChecked, setRefid, tooManyAttributes`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BaseResourceCollectionWrapper

    public BaseResourceCollectionWrapper()

Method Detail

### createIterator

    protected java.util.Iterator<Resource> createIterator()

  Description copied from class: `AbstractResourceCollectionWrapper`
  Do create an iterator on the resource collection. The creation of the iterator is allowed to not be thread safe whereas the iterator itself should. The returned iterator will be wrapped into the FailFast one.

  Specified by:
    `createIterator` in class `AbstractResourceCollectionWrapper`
  Returns:
    the iterator on the resource collection

### getSize

    protected int getSize()

  Description copied from class: `AbstractResourceCollectionWrapper`
  Do compute the size of the resource collection. The implementation of this function is allowed to be not thread safe.

  Specified by:
    `getSize` in class `AbstractResourceCollectionWrapper`
  Returns:
    size of resource collection.

### getCollection

    protected abstract java.util.Collection<Resource> getCollection()

  Template method for subclasses to return a Collection of Resources.

  Returns:
    Collection.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD